### Enumeration

# GtkSource SpaceLocationFlags

#### Declaration

    flags GtkSource.SpaceLocationFlags

#### Description [src]

`GtkSourceSpaceLocationFlags` contains flags for white space locations.

If a line contains only white spaces (no text), the white spaces match both `GTK_SOURCE_SPACE_LOCATION_LEADING` and `GTK_SOURCE_SPACE_LOCATION_TRAILING`.

#### Members

Name | Description
--- | ---
`GTK_SOURCE_SPACE_LOCATION_NONE` | No flags.
`GTK_SOURCE_SPACE_LOCATION_LEADING` | Leading white spaces on a line, i.e. the indentation.
`GTK_SOURCE_SPACE_LOCATION_INSIDE_TEXT` | White spaces inside a line of text.
`GTK_SOURCE_SPACE_LOCATION_TRAILING` | Trailing white spaces on a line.
`GTK_SOURCE_SPACE_LOCATION_ALL` | White spaces anywhere.